package md

const (
	FinUserFlowDirectionIncome      = 1 //流水 - 收入
	FinUserFlowDirectionExpenditure = 2 //流水 - 支出
)

const (
	FinUserFlowRedisDataBase = 0
	FinUserFlowRedisKey      = "%s:fin_user_flow:%d:user:%d"
)

const (
	IntegralReleaseServiceRevenueTitleForFinUserFlow = "积分释放-服务收益"
)

const (
	IntegralReleaseServiceRevenueOrderTypeForFinUserFlow = 50 // 积分释放-服务收益
)

const DealUserAmountRequestIdPrefix = "%s:deal_user_amount:%d"
const UserAmountRedisKey = "%s:user_amount:%d"

type DealIntegralReleaseInterpositionUserAmountReq struct {
	Kind   string  `json:"kind"`
	Mid    string  `json:"mid"`
	OrdId  string  `json:"ord_id"`
	CoinId int     `json:"coin_id"`
	Uid    int     `json:"uid"`
	Amount float64 `json:"amount"`
}

type DealUserAmount struct {
	Kind      string  `json:"kind"`
	Mid       string  `json:"mid"`
	Title     string  `json:"title"`
	OrderType string  `json:"order_type"`
	OrdAction int     `json:"ord_action"`
	OrdId     string  `json:"ord_id"`
	Uid       int     `json:"uid"`
	Amount    float64 `json:"amount"`
}
